## subterfugue 0.2.1a-1

=== debian/changelog ===
subterfugue (0.2.1a-1) unstable; urgency=medium

  * do the right thing when 'python' != 'python2.1' (closes: #122217)

 -- Mike Coleman <mkc@debian.org>  Mon,  3 Dec 2001 23:30:39 -0600

subterfugue (0.2.1-1) unstable; urgency=high

  * upgrade to conform to new Debian Python Policy (closes: #119237)
  * port to Python 2.1.1
  * fix poke bug (2.4 disallows writes to /proc/<n>/mem
  * add check for broken Red Hat kernel
  * fix compiler warnings
  * fix broken TimeWarp example

 -- Mike Coleman <mkc@debian.org>  Sun, 25 Nov 2001 22:21:23 -0600

subterfugue (0.2-1) unstable; urgency=medium

  * upgraded to work with 2.4 kernel
  * first version of package uploaded to Debian queue (closes: #78227)
  * other minor changes/improvements/bug fixes

 -- Mike Coleman <mkc@debian.org>  Tue, 20 Feb 2001 16:14:01 -0600

subterfugue (0.1.99a-1) unstable; urgency=low

  * fix bug that could allow process escape

 -- Mike Coleman <mkc@users.sourceforge.net>  Tue, 31 Oct 2000 00:24:14 -0600

subterfugue (0.1.99-1) unstable; urgency=low

  * initial Debian package release.

 -- Mike Coleman <mkc@users.sourceforge.net>  Sat, 28 Oct 2000 11:04:25 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "mkc@debian.org"
End:
