=== debian/control ===
Source: subterfugue
Section: utils
Priority: optional
Maintainer: Mike Coleman <mkc@debian.org>
Build-Depends: debhelper, python2.1-dev
Standards-Version: 3.1.1

Package: subterfugue
Architecture: i386
Depends: python2.1
Recommends: python-gtk
Description: Tool for subverting programs--"strace meets expect"
 SUBTERFUGUE is a framework for observing and playing with the reality of
 software; it's a foundation for building tools to do tracing, sandboxing, and
 many other things.  You could think of it as "strace meets expect."
 [requires 2.4 kernel]
