## subterfugue 0.2.1a-9.3

=== debian/changelog ===
subterfugue (0.2.1a-9.3) unstable; urgency=low

  * NMU at the Munich BugSquashin Party
  * Recommends: s/python-gtk/python-gtk2/ (Closes: #240572)

 -- Erich Schubert <erich@debian.org>  Sun, 18 Apr 2004 14:57:01 +0200

subterfugue (0.2.1a-9.2) unstable; urgency=low

  * NMU.
  * Apply patch to avoid type error (closes: #207749).

 -- Matthias Klose <doko@debian.org>  Sat, 27 Sep 2003 09:55:41 +0200

subterfugue (0.2.1a-9.1) unstable; urgency=low

  * NMU.
  * Update depends for pygtk transition (closes: #208121).
  * Update to python2.3.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Sep 2003 21:03:03 +0200

subterfugue (0.2.1a-9) unstable; urgency=low

  * fix upcoming gtk transition to 2.0.  thanks seb128
  * RExec (a restricted execution framework) does not work anymore.  This
    breaks subterfugue.  Matthew Mueller sent a patch replacing it (it was not
    used to restrict the program running, only evaluation of arguments to
    subterfugue).  Closes: Bug#202312

 -- Thomas Smith <tgs@debian.org>  Tue, 22 Jul 2003 14:00:14 -0500

subterfugue (0.2.1a-8.1) unstable; urgency=low

  * try a fix for the doesn't-reap-children bug.
  * nope doesn't work yet.  try again soon.

 -- Thomas Smith <tgs@debian.org>  Sat, 19 Jul 2003 14:08:35 -0500

subterfugue (0.2.1a-8) unstable; urgency=medium

  * update MAXCALLNUMBER for the previous update.
  * make "ipc_subcall" syscalls look unique (hopefully this works again)
  * actually tested this time *kick self*

 -- Thomas Smith <tgs@debian.org>  Wed, 18 Jun 2003 18:42:48 -0500

subterfugue (0.2.1a-7) unstable; urgency=low

  * Make all the multiline strings in the C files into single line strings, so
    we can compile on gcc 3.3.  (Closes: Bug#197574)
  * Update the syscall map from strace 4.4.98.  The bug about this was
    actually fixed already in a later version, d'oh, but that transcription
    from strace was old, so here's a new one.  I should put a version in
    proposed-updates for people running stable with 2.4 kernels (you need this
    update).  I'll close the bug when I upload to proposed-updates.
    (Fixes: Bug#192731)
  * Updated Standards-Version to 3.5.10

 -- Thomas Smith <tgs@debian.org>  Mon, 16 Jun 2003 00:20:23 -0500

subterfugue (0.2.1a-6) unstable; urgency=low

  * Yann Dirson fixed two bugs:
    - Fixed ArgTrick not to mess with target in creatin of relative
      symlinks.  Closes: Bug#182694.
    - Fixed fd leak in Memory24 object, allowing to build a Linux kernel
      under Arg trick.  Closes: Bug#182583.
  * Yeah, it's really important not to use subterfugue in situations where
    security is vital, unless you audit everything _yourself_.  Probably not
    even then.  As a start, try looking for all of the XXXs and FIXMEs in the
    trick you're going to use...

 -- Thomas Smith <tgs@debian.org>  Sat,  1 Mar 2003 20:01:05 -0500

subterfugue (0.2.1a-5) unstable; urgency=low

  * Try fixing syscall map, which didn't have all the necessary syscalls
    (so we crashed every time :-( )
    Closes: Bug#176057
  * Commented up the file the syscalls are in to make it more obvious
    how to update it in the future.

 -- Thomas Smith <tgs@debian.org>  Thu,  9 Jan 2003 19:24:56 -0500

subterfugue (0.2.1a-4) unstable; urgency=high

  * Fixed many tricks that used the old deprecated FCNTL module and would not
    run.  (closes: #173498)
  * Some modules are still broken, I think.  Will work on them.

 -- Thomas Smith <tgs@debian.org>  Sat, 21 Dec 2002 19:38:50 -0500

subterfugue (0.2.1a-3) unstable; urgency=low

  * fixed some typos in the tricks.

 -- Thomas Smith <tgs@debian.org>  Fri,  1 Nov 2002 17:33:55 -0500

subterfugue (0.2.1a-2) unstable; urgency=low

  * ported build system to python 2.2 idiom.  Seems to work.
  * after that port, it builds for me in pbuilder.  i never tried
    it with the old build system, but... blah. (closes: #165183)

 -- Thomas Smith <tgs@debian.org>  Mon, 28 Oct 2002 21:02:09 -0500
