=== debian/control ===
Source: subterfugue
Section: utils
Priority: optional
Maintainer: Thomas Smith <tgs@debian.org>
Build-Depends: debhelper (>= 2), python2.3-dev
Standards-Version: 3.5.10

Package: subterfugue
Architecture: i386
Depends: python (>= 2.3), python (<< 2.4)
Recommends: python-gtk2
Description: Tool for subverting programs--"strace meets expect"
 SUBTERFUGUE is a framework for observing and playing with the reality of
 software; it's a foundation for building tools to do tracing, sandboxing, and
 many other things.  You could think of it as "strace meets expect."
 [requires 2.4 kernel]
