## subterfugue 0.2.1a-9.4

=== Makefile ===
--- 
+++ 
@@ -42,10 +42,8 @@
 
 modules/%.so : modules/%.c
 	cd modules \
-	&& (test -e Makefile.pre.in \
-	    || ln -s /usr/lib/python$(PYTHON_VERSION)/config/Makefile.pre.in) \
-	&& make -f Makefile.pre.in boot \
-	&& make
+	&& python2.3 setup.py build \
+	&& cp build/*/*.so .
 
 version := $(shell python version.py | awk '{ print $$1 }')
 distdir := subterfugue-$(version)
@@ -102,7 +100,7 @@
 clean ::
 	-rm -f sf dsf
 	-rm -f *.py[co] *~
-	-cd modules && rm -f *~ *.o *.so Makefile{,.pre} sedscript config.c
+	-cd modules && rm -f *~ *.o *.so setup.pyc setup.pyo sedscript config.c && rm -r build
 	-cd tricks && rm -f *.py[co] *~
 	-cd scripts && rm -f *~
 	-cd doc && rm -f *~
