=== debian/changelog ===
subterfugue (0.2.1a-9.4) unstable; urgency=medium

  * NMU
  * Change PYTHON_VERSION in postinst according to debian/rules
  * Change Depends: on python2.3 instead of python (<< 2.4) to allow upgrades
    of python (Closes: #213040, which _is_ really RC)
  * Remove CVS and .svn cruft from tarball (Closes: #212234)

 -- Ingo Saitz <ingo@debian.org>  Fri, 13 Aug 2004 14:06:31 +0200
