=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: subterfugue
 Architecture: i386
-Depends: python (>= 2.3), python (<< 2.4)
+Depends: python2.3
 Recommends: python-gtk2
 Description: Tool for subverting programs--"strace meets expect"
  SUBTERFUGUE is a framework for observing and playing with the reality of
