=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 # when changing this, need to bump control and .postinst, too!
-PYTHON_VERSION := 2.1
+PYTHON_VERSION := 2.3
 PYTHON_COMMAND = python$(PYTHON_VERSION)
 
 
@@ -74,7 +74,7 @@
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
-#	dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
