## subterfugue 0.2.1a-9.5

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 modules/%.so : modules/%.c
 	cd modules \
-	&& python2.3 setup.py build \
+	&& python setup.py build \
 	&& cp build/*/*.so .
 
 version := $(shell python version.py | awk '{ print $$1 }')
