=== debian/changelog ===
subterfugue (0.2.1a-9.5) unstable; urgency=low

  * NMU.
  * Build using the default python version.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 00:32:21 +0200
