=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 # when changing this, need to bump control and .postinst, too!
-PYTHON_VERSION := 2.3
+PYTHON_VERSION := $(shell pyversions -vd)
 PYTHON_COMMAND = python$(PYTHON_VERSION)
 
 
@@ -74,6 +74,7 @@
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
+	dh_pycentral
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
