## subterfugue 0.2.1a-9.5build1

=== debian/changelog ===
subterfugue (0.2.1a-9.5build1) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:25:44 +0000
