=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Smith <tgs@debian.org>
-Build-Depends: debhelper (>= 2), python2.3-dev
+Build-Depends: debhelper (>= 5.0.40), python-dev, python-central (>= 0.5)
+XS-Python-Version: current
 Standards-Version: 3.5.10
 
 Package: subterfugue
 Architecture: i386
-Depends: python2.3
+Depends: ${python:Depends}
 Recommends: python-gtk2
+XB-Python-Version: ${python:Versions}
 Description: Tool for subverting programs--"strace meets expect"
  SUBTERFUGUE is a framework for observing and playing with the reality of
  software; it's a foundation for building tools to do tracing, sandboxing, and
